Get invitation details (public)
curl --request GET \
--url https://api.emailr.dev/v1/invitations/{token}/detailsimport requests
url = "https://api.emailr.dev/v1/invitations/{token}/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.emailr.dev/v1/invitations/{token}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization_name": "Acme Inc.",
"inviter_name": "John Doe",
"inviter_email": "[email protected]",
"role": "member",
"email": "[email protected]",
"is_expired": false,
"expires_at": "2024-02-01T00:00:00Z"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}invitations
Get invitation details (public)
Get invitation details by token. No authentication required.
GET
/
v1
/
invitations
/
{token}
/
details
Get invitation details (public)
Path Parameters
Invitation token from the invite link
Minimum string length:
32Example:
"abc123def456ghi789jkl012mno345pqr"
Response
Invitation details
Name of the organization
Example:
"Acme Inc."
Full name of the person who sent the invitation
Example:
"John Doe"
Email of the person who sent the invitation
Example:
Role being offered
Available options:
member, admin Example:
"member"
Email address the invitation was sent to
Example:
Whether the invitation has expired
Example:
false
When the invitation expires
Example:
"2024-02-01T00:00:00Z"